Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.communication.client
Class DataOutputExchangeHandler

    java.lang.Object
      gecco.communication.client.DataOutputExchangeHandler

All Implemented Interfaces:
  Runnable

public class DataOutputExchangeHandler
extends Object
implements Runnable

A class that sends messages to the server

Author:
  Niklas Hallenfur, Karl Hasselström, Henrik Hägerström, Jon Åslund

Constructor Summary
`DataOutputExchangeHandler(MessageQueue q, ServerConnection sc, ServerAmbassador sa)`

Method Summary
`void` | `addMessageToQueue(Message message)` Used by the ServerAmbassador to add messages to send
`void` | `kill()` called whenever someone wants this thread to die
`void` | `run()` Main processing method for the DataOutputExchangeHandler object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataOutputExchangeHandler

    public DataOutputExchangeHandler(MessageQueue q,
                                     ServerConnection sc,
                                     ServerAmbassador sa)

Parameters:
  `q` - the queue that will contain the messages to send
  `sc` - the connection to send messages to
  `sa` - the serverambassador who created this object

Method Detail

### addMessageToQueue

    public void addMessageToQueue(Message message)

  Used by the ServerAmbassador to add messages to send

  Parameters:
    `message` - The feature to be added to the MessageToQueue attribute

### run

    public void run()

  Main processing method for the DataOutputExchangeHandler object

  Specified by:
    `run` in interface `Runnable`

### kill

    public void kill()

  called whenever someone wants this thread to die

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD